<script lang="ts">
    import type { PhpMyAdmin511Settings } from '../../app/domain/types/adapter.type';
    import Proxy from './proxy.svelte';

    export let settings: PhpMyAdmin511Settings;

</script>

<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">URL</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                <input class="input is-danger" type="text" placeholder="e.g. https://phpmyadmin.example.com/db2.php" bind:value={settings.url}>
            </div>
            <p class="help is-danger">
                This field is required
            </p>
        </div>
    </div>
</div>

<Proxy settings={settings}></Proxy>
